# Generated by Django 5.0.4 on 2024-05-15 10:51

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0175_auto_20240515_1240"),
        ("wagtailimages", "0026_delete_uploadedimage"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="districtpersonpage",
            name="custom_web_url",
        ),
        migrations.RemoveField(
            model_name="districtpersonpage",
            name="facebook_url",
        ),
        migrations.RemoveField(
            model_name="districtpersonpage",
            name="flickr_url",
        ),
        migrations.RemoveField(
            model_name="districtpersonpage",
            name="instagram_url",
        ),
        migrations.RemoveField(
            model_name="districtpersonpage",
            name="other_urls",
        ),
        migrations.RemoveField(
            model_name="districtpersonpage",
            name="twitter_url",
        ),
        migrations.RemoveField(
            model_name="districtpersonpage",
            name="youtube_url",
        ),
        migrations.AlterField(
            model_name="districtpersonpage",
            name="main_image",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="+",
                to="wagtailimages.image",
                verbose_name="Hlavní obrázek",
            ),
        ),
        migrations.AlterField(
            model_name="districtpersonpage",
            name="profile_image",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="+",
                to="wagtailimages.image",
                verbose_name="Profilový obrázek",
            ),
        ),
    ]
